import es
import os.path

addondir = es.ServerVar('eventscripts_gamedir') + '/'

def showaddon_cmd():
   addon = es.getargv(1)
   
   if os.path.isdir(addondir + addon):
      if os.path.isfile(addondir + addon + '.txt'):
         es.dbgmsg(0, '  Python addon "' + addon + '" found')
         f = open(addondir + addon + '/' + addon + '.txt')
      elif os.path.isfile(addondir + addon + '/es_' + addon + '.cfg'):
         es.dbgmsg(0, '  Shell addon "' + addon + '" found')
         f = open(addondir + addon + '/es_' + addon + '.cfg')
      else:
         es.dbgmsg(0, '  Addon file "' + addon + '" not found')
         return

      es.dbgmsg(0, '--- Reading addon ---\n')
      for line in f.read().split('\n'):
         es.dbgmsg(0, line)
      es.dbgmsg(0, '\n--- End addon ---\n')
      f.close()

   else:
      es.dbgmsg(0, '  Addon directory "' + addon + '" not found')

if not es.exists('command', 'addontext'):
   es.regcmd('addontext', 'addontext/showaddon_cmd')